=head1 NAME

B<mknb> - creates a network boot root image for node discovery and flashing

=head1 SYNOPSIS

B<mknb> I<arch>


=head1 DESCRIPTION

The B<mknb> command is run by xCAT automatically, when xCAT is installed on the management node.
It creates a network boot root image (used for node discovery, BMC programming, and flashing)
for the same architecture that the management node is.  So you normally do not need to run the B<mknb>
command yourself.  If you have nodes of a different architecture
than the management node (e.g. ppc), you can run B<mknb> to create an additional network boot image for
that architecture.


=head1 OPTIONS

=over 12

=item I<arch>

The hardware architecture for which to build the boot image:  x86, x86_64, ppc, ppc64

=back

=head1 RETURN VALUE

0 The command completed successfully.

1 An error has occurred.


=head1 SEE ALSO

L<makedhcp(8)|makedhcp.8>

